<div
  class="layout-wrapper"
  [ngClass]="{'layout-compact':layoutCompact}"
  (click)="onLayoutClick()"
>

  <div
    #layoutContainer
    class="layout-container"
    [ngClass]="{'menu-layout-static': !isOverlay(),
            'menu-layout-overlay': isOverlay(),
            'layout-menu-overlay-active': overlayMenuActive,
            'menu-layout-horizontal': isHorizontal(),
            'menu-layout-slim': isSlim(),
            'layout-menu-static-inactive': staticMenuDesktopInactive,
            'layout-menu-static-active': staticMenuMobileActive}"
  >

    <app-topbar *ngIf="exibindoNavbar()"></app-topbar>

    <div
      *ngIf="exibindoNavbar()"
      class="layout-menu"
      [ngClass]="{'layout-menu-dark':darkMenu}"
      (click)="onMenuClick($event)"
    >
      <p-scrollPanel
        #scrollPanel
        [style]="{height: '100%'}"
      >
        <app-inline-profile *ngIf="profileMode=='inline'&&!isHorizontal()"></app-inline-profile>
        <app-menu [reset]="resetMenu"></app-menu>
      </p-scrollPanel>
    </div>

    <div class="layout-main">
      <app-breadcrumb *ngIf="exibindoNavbar()"></app-breadcrumb>

      <div class="layout-content">
        <p-toast [style]="{marginTop: '100px'}"></p-toast>
        <router-outlet></router-outlet>

        <p-confirmDialog
          header="Confirmação"
          icon="fa fa-question-circle"
          #confirmacao
        >
          <p-footer>
            <button
              type="button"
              pButton
              icon="fa-check"
              label="Sim"
              (click)="confirmacao.accept()"
            ></button>
            <button
              type="button"
              pButton
              icon="fa-times"
              label="Não"
              (click)="confirmacao.reject()"
            ></button>
          </p-footer>
        </p-confirmDialog>

        <app-footer *ngIf="exibindoNavbar()"></app-footer>
      </div>
    </div>

    <!-- <app-rightpanel *ngIf="exibindoNavbar()"></app-rightpanel> -->

    <div
      *ngIf="exibindoNavbar()"
      class="layout-mask"
    ></div>
  </div>

</div>
